# TODO: check init files

Summary:	ices2 - Program for feeding MP3 and OGG streams to an Icecast server
Summary(pl.UTF-8):	ices2 - program dostarczający strumienie MP3 oraz OGG do serwera Icecast
Summary(pt_BR.UTF-8):	Mais um streamer para icecast
Name:		ices
Version:	2.0.2
Release:	1
License:	GPL v2
Group:		Applications/Sound
Source0:	http://downloads.xiph.org/releases/ices/%{name}-%{version}.tar.bz2
# Source0-md5:	832c448cc993170a70fd95804fcda5b2
Source1:	%{name}.init
Source2:	%{name}.conf.txt
URL:		http://www.icecast.org/ices.php
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	libshout-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	lame-libs
Requires:	rc-scripts
Provides:	group(icecast)
Provides:	user(icecast)
Obsoletes:	shout
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ices is a part of Icecast server. It submits MP3 and OGG files from a
playlist.

%description -l pl.UTF-8
Ices jest częścią serwera Icecast. Odpowiada za dostarczanie plików
MP3 i OGG wg playlisty do serwera Icecast.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/icecast,/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ices
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/icecast/ices.conf.txt

cp -p conf/*.xml $RPM_BUILD_ROOT%{_sysconfdir}/icecast

# files *.html, *.css go to doc
# files *.xml go to _sysconfdir
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/{*.html,*.css,*.xml}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 57 icecast
%useradd -u 57 -r -d /usr/share/empty -s /bin/false -c "ices" -g icecast icecast

%post
/sbin/chkconfig --add ices
if [ -f /var/lock/subsys/ices ]; then
	/etc/rc.d/init.d/ices restart >&2
else
	echo "Run '/etc/rc.d/init.d/ices start' to start ices daemon." >&2
fi

%preun
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/ices ]; then
		/etc/rc.d/init.d/ices stop >&2
	fi
	/sbin/chkconfig --del ices >&2
fi

%postun
if [ "$1" = "0" ]; then
	%userremove icecast
	%groupremove icecast
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO doc/*.html doc/style.css
%attr(754,root,root) /etc/rc.d/init.d/ices
%attr(640,root,icecast) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast/ices-alsa.xml
%attr(640,root,icecast) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast/ices-oss.xml
%attr(640,root,icecast) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast/ices-playlist.xml
%attr(640,root,icecast) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast/ices-roar.xml
%attr(640,root,icecast) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast/ices.conf.txt
%attr(755,root,root) %{_bindir}/ices
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ices.git;a=log;h=master

* Wed Aug 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 247f9dd
- updated to 2.0.2

* Thu Sep 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c25ca90
- release 3

* Sun Jan 31 2010 sparky <sparky@pld-linux.org> 913151a
- BR: alsa-lib-devel, libxml2-devel and gcc-c++ (because of broken configure)

* Sat Jan 30 2010 Krzysztof Goliński <dirdival@pld-linux.org> 65a4f70
- I've forgotten change release, my fault
- now is release 2

* Sat Jan 30 2010 Krzysztof Goliński <dirdival@pld-linux.org> 5b85e59
- BR: pkgconfig
- removed some file from datadir (files *.html, *.css go to doc, files *.xml, ices.conf.txt go to _sysconfdir)
- release 2

* Wed Jul 11 2007 jackass <jackass@pld-linux.org> 6bafc33
- lame-libs-devel no needed

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fdf96bf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c9b3f89
- converted to UTF-8

* Wed Jun 07 2006 ankry <ankry@pld-linux.org> ca188ae
- fix for useradd from pwdutils

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> ee66f64
- killed trailing spaces/tabs

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> 5726980
- use %useradd/%groupadd macros

* Mon Feb 28 2005 djrzulf <djrzulf@pld-linux.org> b87f7d0
- i think it's ready,

* Mon Feb 28 2005 djrzulf <djrzulf@pld-linux.org> 51fb23b
- NFY 2,

* Mon Feb 28 2005 djrzulf <djrzulf@pld-linux.org> 925004e
- NFY,

* Mon Feb 28 2005 djrzulf <djrzulf@pld-linux.org> 6dbf977
- started update to 2.0.1,

* Mon Jan 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 16105ca
- unified, verify() flags

* Sun Jan 16 2005 domelu <domelu@pld-linux.org> 8e88f15
- proper email address

* Sun Jan 16 2005 domelu <domelu@pld-linux.org> 249894c
- updated to 0.4

* Sun Jan 16 2005 domelu <domelu@pld-linux.org> 3ad766b
- url fix

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 3ca1aa0
- "MP3" unification

